Loading...
Searching...
No Matches
oval_directives_model Struct Reference
OVAL » OVALDIR

This structure holds instance of OVAL Directives. More...

`#include <oval_directives.h>`

## Public Member Functions

OSCAP_API struct oval_directives_model * | oval_directives_model_new (void)
OSCAP_API void | oval_directives_model_free (struct oval_directives_model *)
OSCAP_API int | oval_directives_model_import_source (struct oval_directives_model *model, struct oscap_source *source)
| Import the data from oscap_source to the directives model.
OSCAP_API struct oval_generator * | oval_directives_model_get_generator (struct oval_directives_model *)
OSCAP_API struct oval_result_directives * | oval_directives_model_get_defdirs (struct oval_directives_model *)
OSCAP_API struct oval_result_directives * | oval_directives_model_get_classdir (struct oval_directives_model *, oval_definition_class_t)
OSCAP_API struct oval_result_directives * | oval_directives_model_get_new_classdir (struct oval_directives_model *, oval_definition_class_t)
OSCAP_API int | oval_directives_model_export (struct oval_directives_model *, const char *)

## Detailed Description

This structure holds instance of OVAL Directives.

The documentation for this struct was generated from the following file:

- oval_directives.h